Bug 244577 - pkgs for aarch64 stopped building
Summary: pkgs for aarch64 stopped building
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Some People
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-03 16:32 UTC by Ronald Klop
Modified: 2020-05-17 18:43 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2020-03-03 16:32:31 UTC
Hi,

If I take a look at the pkg build server of aarch64 things are broken.
http://thunderx1.nyi.freebsd.org/

- head-arm64-default is already broken for a couple of weeks, because it can't build 'pkg' [1]
- 113arm64-quarterly stays in 'parallel_build' while all cpu's are idle.

Is there maintenance being done? Where should I report this?

Regards,
Ronald.

NB: I can't select "Package Infrastructure" as component.

[1] Log ends in:
install  -m 0644 /wrkdirs/usr/ports/ports-mgmt/pkg/work/pkg-1.13.2/NEWS /wrkdirs/usr/ports/ports-mgmt/pkg/work/stage/usr/local/share/doc/pkg/NEWS
====> Compressing man pages (compress-man)
Bad system call
Comment 1 Ronald Klop 2020-04-12 10:17:40 UTC
Aarch64 pkgs for 113-quarterly and 121-quarterly are building again. Thanks for fixing! [1]

The head-latest build is still failing on building 'ports-mgmt/pkg' because of a "Bad system call" [2]. I guess the host kernel needs an upgrade.
Head-latest is broken since January, 13th.

See:
[1] http://thunderx1.nyi.freebsd.org/index.html
[2] http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p530538_s359627/logs/pkg-1.14.2.log
Comment 2 Ronald Klop 2020-05-17 18:43:04 UTC
The pkg repository is updated!
On http://pkg.freebsd.org/FreeBSD:13:aarch64/ the directory date changed.
From:
latest/    2020-Jan-04 12:39
To:
latest/    2020-May-16 06:24

And http://thunderx1.nyi.freebsd.org/ shows happy compile runs again.

Case closed. Thanks anonymous somebody for fixing this.